## latte-dock 0.9.97

=== CMakeLists.txt ===
project(lattedock)
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)

set(CMAKE_CXX_STANDARD 14)
set(VERSION 0.9.97)
set(AUTHOR "Michail Vourlakos, Smith Ar")
set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
set(WEBSITE "https://userbase.kde.org/LatteDock")
set(BUG_ADDRESS "https://bugs.kde.org/enter_bug.cgi?product=lattedock")
set(FAQS "https://userbase.kde.org/LatteDock/FAQ")

set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.48.0")

set(KF5_LOCALE_PREFIX "")

find_package(ECM ${KF5_MIN_VER} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED NO_MODULE COMPONENTS DBus Gui Qml Quick)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Activities Archive CoreAddons GuiAddons Crash DBusAddons Declarative GlobalAccel Kirigami2
    I18n IconThemes KIO NewStuff Notifications Plasma PlasmaQuick Wayland WindowSystem XmlGui)
   
find_package(X11 REQUIRED)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
    URL "http://www.x.org"
    TYPE OPTIONAL
    PURPOSE "Required for building the X11 based workspace")

if(X11_FOUND)
    find_package(XCB MODULE REQUIRED COMPONENTS XCB RANDR SHAPE EVENT)
    set_package_properties(XCB PROPERTIES TYPE REQUIRED)
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)

    if(NOT X11_SM_FOUND)
        message(FATAL_ERROR "\nThe X11 Session Management (SM) development package could not be found.
                \nPlease install libSM.\n")
    endif(NOT X11_SM_FOUND)

endif()

if(X11_FOUND AND XCB_XCB_FOUND)
    set(HAVE_X11 ON)
endif()

string(REGEX MATCH "\\.([^]]+)\\." KF5_VERSION_MINOR ${KF5_VERSION})
string(REGEX REPLACE "\\." "" KF5_VERSION_MINOR ${KF5_VERSION_MINOR})

message(STATUS "KF5 VERSION : ${KF5_VERSION}")
message(STATUS "KF5 VERSION MINOR : ${KF5_VERSION_MINOR}")

if(${KF5_VERSION_MINOR} LESS "62")
find_package(KF5 REQUIRED COMPONENTS SysGuard)
endif()

include(ECMQMLModules)
ecm_find_qmlmodule(QtQuick 2.7)
ecm_find_qmlmodule(QtQuick.Layouts 1.3)
ecm_find_qmlmodule(QtQuick.Controls 1.4)
ecm_find_qmlmodule(QtQuick.Controls.Styles.Plasma 2.0)
ecm_find_qmlmodule(QtGraphicalEffects 1.0)
ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
ecm_find_qmlmodule(org.kde.plasma.core 2.0)
ecm_find_qmlmodule(org.kde.plasma.components 2.0)

include(CheckIncludeFiles)
include(CMakePackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDEPackageAppTemplates)
include(WriteBasicConfigVersionFile)

include(Definitions.cmake)

string(REPLACE "-Wall" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
string(REPLACE "-Wformat-security" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})

message(STATUS "COMPILER FLAGS : ${CMAKE_CXX_FLAGS}")

# Share Same Core Types between declarativeimports and app
set(CORETYPESHEADER "LIBCORETYPES_H")
configure_file(declarativeimports/coretypes.h.in declarativeimports/core/types.h)
set(CORETYPESHEADER "APPCORETYPES_H")
configure_file(declarativeimports/coretypes.h.in app/coretypes.h)
set(CORETYPESHEADER "LATTEGENERALCONTAINMENTTYPES_H")
configure_file(declarativeimports/coretypes.h.in containment/plugin/lattetypes.h)

# Share App::Settings::GenericTools to containment actions
configure_file(app/settings/generic/generictools.h containmentactions/contextmenu/generictools.h)
configure_file(app/settings/generic/generictools.cpp containmentactions/contextmenu/generictools.cpp)
configure_file(app/data/contextmenudata.h containmentactions/contextmenu/contextmenudata.h)

# subdirectories
add_subdirectory(declarativeimports)
add_subdirectory(indicators)
add_subdirectory(app)
add_subdirectory(containmentactions)
add_subdirectory(containment)
add_subdirectory(icons)
add_subdirectory(plasmoid)
add_subdirectory(shell)

ki18n_install(po)

=== debian/changelog ===
latte-dock (0.9.97-0ubuntu1) impish; urgency=medium

  * New upstream beta release (0.9.97)
  * Update watch file.
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Jun 2021 20:29:27 +0100

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/unstable/@PACKAGE@/@PACKAGE@-([\d.]+).tar.xz

## latte-dock 0.9.98

=== debian/changelog ===
latte-dock (0.9.98-0ubuntu1) impish; urgency=medium

  * New upstream beta release (0.9.98)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 19:16:49 +0100

## latte-dock 0.10.0

=== debian/changelog ===
latte-dock (0.10.0-0ubuntu1) impish; urgency=medium

  * New upstream release (0.10.0)
  * Update watch file for stable releases.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Aug 2021 01:09:40 +0100

=== debian/control ===
Source: latte-dock
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.38.0~),
               gettext,
               kirigami2-dev (>= 5.38.0~),
               libkf5activities-dev (>= 5.38.0~),
               libkf5archive-dev (>= 5.38.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5crash-dev (>= 5.38.0~),
               libkf5dbusaddons-dev (>= 5.38.0~),
               libkf5declarative-dev (>= 5.38.0~),
               libkf5globalaccel-dev (>= 5.38.0~),
               libkf5guiaddons-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5iconthemes-dev (>= 5.38.0~),
               libkf5newstuff-dev (>= 5.38.0~),
               libkf5notifications-dev (>= 5.38.0~),
               libkf5plasma-dev (>= 5.38.0~),
               libkf5wayland-dev (>= 5.38.0~),
               libkf5windowsystem-dev (>= 5.38.0~),
               libkf5xmlgui-dev (>= 5.38.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libsm-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb-shape0-dev,
               libxcb-util0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.5.0
Homepage: https://userbase.kde.org/LatteDock
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git
Rules-Requires-Root: no

Package: latte-dock
Architecture: any
Depends: plasma-desktop,
         plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Dock based on plasma frameworks
 Latte is a dock based on plasma frameworks that provides an elegant and
 intuitive experience for your tasks and plasmoids. It animates it's
 contents by using parabolic zoom effect and tries to be there only when
 it is needed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	find debian/latte-dock -name COPYING -print -delete

## latte-dock 0.10.1

=== debian/changelog ===
latte-dock (0.10.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream version (0.10.1).
  * Bump standards version to 4.6.0, no changes necessary.

 -- Norbert Preining <norbert@preining.info>  Thu, 26 Aug 2021 01:05:24 +0900

latte-dock (0.10.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Switch the transitional libxcb-util0-dev build dependency to
    libxcb-util-dev.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Scarlett Moore ]
  * New upstream bugfix release.
  * Update my email address.
  * Refresh copyright file <- 0.9.10
    - ca* moved to same copyright as package
      from kdeev variation.
    - Reword KDEeV short format.

  [ Norbert Preining ]
  * New upstream releases (0.9.97, .98, 0.10.0).
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Aug 2021 16:18:19 +0900

## latte-dock 0.10.2

=== debian/changelog ===
latte-dock (0.10.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Drop removal of COPYING files, as they are no more installed.
  * CI: disable the blhc job.
  * Small fixes in copyright.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 15:14:54 +0900

## latte-dock 0.10.3

=== debian/changelog ===
latte-dock (0.10.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream version (0.10.3).

 -- Norbert Preining <norbert@preining.info>  Tue, 26 Oct 2021 06:46:07 +0900

## latte-dock 0.10.4

=== debian/changelog ===
latte-dock (0.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable the blhc job again.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Nov 2021 19:31:01 +0100

## latte-dock 0.10.5

=== debian/changelog ===
latte-dock (0.10.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/upstream/metadata: fix references to the upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Dec 2021 22:12:10 +0100

## latte-dock 0.10.6

=== debian/changelog ===
latte-dock (0.10.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Dec 2021 11:58:36 +0100

## latte-dock 0.10.7

=== debian/changelog ===
latte-dock (0.10.7-0ubuntu1) jammy; urgency=medium

  * New upstream release (0.10.7)

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Jan 2022 21:29:21 +0000

## latte-dock 0.10.8

=== app/CMakeLists.txt ===
set(lattedock-app_SRCS
    alternativeshelper.cpp
    apptypes.cpp
    infoview.cpp
    lattecorona.cpp
    screenpool.cpp
    main.cpp
    coretypes.h
)

add_subdirectory(data)
add_subdirectory(declarativeimports)
add_subdirectory(indicator)
add_subdirectory(layout)
add_subdirectory(layouts)
add_subdirectory(package)
add_subdirectory(plasma/extended)
add_subdirectory(settings)
add_subdirectory(settings/generic)
add_subdirectory(settings/actionsdialog)
add_subdirectory(settings/detailsdialog)
add_subdirectory(settings/detailsdialog/delegates)
add_subdirectory(settings/exporttemplatedialog)
add_subdirectory(settings/exporttemplatedialog/delegates)
add_subdirectory(settings/screensdialog)
add_subdirectory(settings/screensdialog/delegates)
add_subdirectory(settings/settingsdialog)
add_subdirectory(settings/settingsdialog/delegates)
add_subdirectory(settings/viewsdialog)
add_subdirectory(settings/viewsdialog/delegates)
add_subdirectory(shortcuts)
add_subdirectory(templates)
add_subdirectory(tools)
add_subdirectory(view)
add_subdirectory(view/helpers)
add_subdirectory(view/indicator)
add_subdirectory(view/settings)
add_subdirectory(view/windowstracker)
add_subdirectory(wm)
add_subdirectory(wm/tracker)

set(latte_dbusXML dbus/org.kde.LatteDock.xml)
qt5_add_dbus_adaptor(lattedock-app_SRCS ${latte_dbusXML} lattecorona.h Latte::Corona lattedockadaptor)

ki18n_wrap_ui(lattedock-app_SRCS settings/actionsdialog/actionsdialog.ui)
ki18n_wrap_ui(lattedock-app_SRCS settings/detailsdialog/detailsdialog.ui)
ki18n_wrap_ui(lattedock-app_SRCS settings/exporttemplatedialog/exporttemplatedialog.ui)
ki18n_wrap_ui(lattedock-app_SRCS settings/screensdialog/screensdialog.ui)
ki18n_wrap_ui(lattedock-app_SRCS settings/settingsdialog/settingsdialog.ui)
ki18n_wrap_ui(lattedock-app_SRCS settings/viewsdialog/viewsdialog.ui)

add_executable(latte-dock ${lattedock-app_SRCS})

include(FakeTarget.cmake)

if(${KF5_VERSION_MINOR} LESS "62")
    target_link_libraries(latte-dock
        Qt5::DBus
        Qt5::Quick
        Qt5::Qml
        KF5::Activities
        KF5::Archive
        KF5::CoreAddons
        KF5::Crash
        KF5::DBusAddons
        KF5::Declarative
        KF5::GuiAddons
        KF5::GlobalAccel
        KF5::I18n
        KF5::IconThemes
        KF5::KIOWidgets
        KF5::Notifications
        KF5::NewStuff
        KF5::QuickAddons
        KF5::Plasma
        KF5::PlasmaQuick
        KF5::ProcessCore
        KF5::WaylandClient
        KF5::XmlGui
    )
else()
    target_link_libraries(latte-dock
        Qt5::DBus
        Qt5::Quick
        Qt5::Qml
        KF5::Activities
        KF5::Archive
        KF5::CoreAddons
        KF5::Crash
        KF5::DBusAddons
        KF5::Declarative
        KF5::GuiAddons
        KF5::GlobalAccel
        KF5::I18n
        KF5::IconThemes
        KF5::KIOWidgets
        KF5::Notifications
        KF5::NewStuff
        KF5::QuickAddons
        KF5::Plasma
        KF5::PlasmaQuick
        KF5::WaylandClient
        KF5::XmlGui
    )

endif()

if(HAVE_X11)
    target_link_libraries(latte-dock
        Qt5::X11Extras
        KF5::WindowSystem
        ${X11_LIBRARIES}
        ${XCB_LIBRARIES}
    )
endif()

configure_file(org.kde.latte-dock.desktop.cmake org.kde.latte-dock.desktop)
configure_file(org.kde.latte-dock.appdata.xml.cmake org.kde.latte-dock.appdata.xml)

install(TARGETS latte-dock ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.latte-dock.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.latte-dock.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES dbus/org.kde.LatteDock.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES lattedock.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

if(${KF5_VERSION_MINOR} LESS "57")
    install(FILES latte-layouts.knsrc DESTINATION  ${CONFIG_INSTALL_DIR})
    install(FILES latte-indicators.knsrc DESTINATION  ${CONFIG_INSTALL_DIR})
else()
    install(FILES latte-layouts.knsrc DESTINATION  ${KDE_INSTALL_KNSRCDIR})
    install(FILES latte-indicators.knsrc DESTINATION  ${KDE_INSTALL_KNSRCDIR})
endif()

add_subdirectory(packageplugins)

=== indicators/CMakeLists.txt ===
install(DIRECTORY default DESTINATION ${CMAKE_INSTALL_PREFIX}/share/latte/indicators)
install(DIRECTORY org.kde.latte.plasma DESTINATION ${CMAKE_INSTALL_PREFIX}/share/latte/indicators)
install(DIRECTORY org.kde.latte.plasmatabstyle DESTINATION ${CMAKE_INSTALL_PREFIX}/share/latte/indicators)

=== shell/CMakeLists.txt ===
configure_file(metadata.desktop.cmake ${CMAKE_CURRENT_SOURCE_DIR}/package/metadata.desktop)

plasma_install_package(package org.kde.latte.shell shells shell)

=== app/packageplugins/CMakeLists.txt ===
add_subdirectory(indicator)

=== app/wm/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/abstractwindowinterface.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/schemecolors.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/waylandinterface.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/windowinfowrap.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/xwindowinterface.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tasktools.cpp
    PARENT_SCOPE
)

=== app/settings/generic/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/genericdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/generichandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/generictools.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/genericviewtools.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layoutscombobox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/persistentmenu.cpp
    PARENT_SCOPE
)

=== app/settings/screensdialog/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/screensdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/screenshandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/screensmodel.cpp
    PARENT_SCOPE
)

=== app/view/indicator/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/indicator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/indicatorinfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/indicatorresources.cpp    
    PARENT_SCOPE
)

=== app/view/settings/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/canvasconfigview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/indicatoruimanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/primaryconfigview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/secondaryconfigview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/subconfigview.cpp    
    ${CMAKE_CURRENT_SOURCE_DIR}/viewsettingsfactory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/widgetexplorerview.cpp
    PARENT_SCOPE
)

=== debian/changelog ===
latte-dock (0.10.8-0ubuntu1) jammy; urgency=medium

  * New upstream release (0.10.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Jan 2022 19:19:54 +0000

latte-dock (0.10.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 11 Jan 2022 19:48:28 +0100

=== debian/control ===
Source: latte-dock
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.38.0~),
               gettext,
               kirigami2-dev (>= 5.48.0~),
               libkf5activities-dev (>= 5.48.0~),
               libkf5archive-dev (>= 5.48.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5crash-dev (>= 5.48.0~),
               libkf5dbusaddons-dev (>= 5.48.0~),
               libkf5declarative-dev (>= 5.48.0~),
               libkf5globalaccel-dev (>= 5.48.0~),
               libkf5guiaddons-dev (>= 5.48.0~),
               libkf5i18n-dev (>= 5.48.0~),
               libkf5iconthemes-dev (>= 5.48.0~),
               libkf5kio-dev (>= 5.48.0~),
               libkf5newstuff-dev (>= 5.48.0~),
               libkf5notifications-dev (>= 5.48.0~),
               libkf5plasma-dev (>= 5.48.0~),
               libkf5wayland-dev (>= 4:5.48.0~),
               libkf5windowsystem-dev (>= 5.48.0~),
               libkf5xmlgui-dev (>= 5.48.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libsm-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb-shape0-dev,
               libxcb-util-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.6.0
Homepage: https://userbase.kde.org/LatteDock
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git
Rules-Requires-Root: no

Package: latte-dock
Architecture: any
Depends: plasma-desktop,
         plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Dock based on plasma frameworks
 Latte is a dock based on plasma frameworks that provides an elegant and
 intuitive experience for your tasks and plasmoids. It animates it's
 contents by using parabolic zoom effect and tries to be there only when
 it is needed.

## latte-dock 0.10.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.9.97)
+set(VERSION 0.10.8)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://userbase.kde.org/LatteDock")
@@ -77,8 +77,15 @@
 
 include(Definitions.cmake)
 
+#hide warnings
 string(REPLACE "-Wall" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
-string(REPLACE "-Wformat-security" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
+string(REPLACE "-Wdeprecated-declarations" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
+string(REPLACE "-Wreorder" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
+string(REPLACE "-Wunused-variable" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
+string(REPLACE "-Wunused-parameter" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
+
+#add format security check
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wformat -Werror=format-security")
 
 message(STATUS "COMPILER FLAGS : ${CMAKE_CXX_FLAGS}")

=== declarativeimports/CMakeLists.txt ===
add_subdirectory(core)
install(DIRECTORY abilities/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte/abilities)
install(DIRECTORY components/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte/components)

=== plasmoid/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.latte.plasmoid\")

configure_file(metadata.desktop.cmake ${CMAKE_CURRENT_SOURCE_DIR}/package/metadata.desktop)

plasma_install_package(package org.kde.latte.plasmoid)

set(tasks_SRCS
    plugin/types.cpp
    plugin/lattetasksplugin.cpp
)

add_library(lattetasksplugin SHARED ${tasks_SRCS})

target_link_libraries(lattetasksplugin
                      Qt5::Core
                      Qt5::Qml
                      KF5::Plasma
                      KF5::PlasmaQuick)
                      
install(TARGETS lattetasksplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte/private/tasks)
install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte/private/tasks)

=== app/data/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/activitydata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/appletdata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/contextmenudata.h
    ${CMAKE_CURRENT_SOURCE_DIR}/errordata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/errorinformationdata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/genericbasictable.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/genericdata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/generictable.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layoutdata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layoutcolordata.cpp    
    ${CMAKE_CURRENT_SOURCE_DIR}/layouticondata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layoutstable.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/preferencesdata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/screendata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/uniqueidinfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/viewdata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/viewstable.cpp
    PARENT_SCOPE
)

=== app/layout/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/abstractlayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/centrallayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/genericlayout.cpp
    PARENT_SCOPE
)

=== app/settings/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/universalsettings.cpp
    PARENT_SCOPE
)

=== app/templates/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/templatesmanager.cpp        
    PARENT_SCOPE
)

=== app/tools/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/commontools.cpp
    PARENT_SCOPE
)

=== app/view/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/containmentinterface.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/contextmenu.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/effects.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/eventssink.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/panelshadows.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/parabolic.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/positioner.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tasksmodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/view.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/visibilitymanager.cpp
    PARENT_SCOPE
)

=== containmentactions/contextmenu/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_containmentactions_lattecontextmenu\")

set(contextmenu_SRCS
    generictools.cpp
    layoutmenuitemwidget.cpp
    menu.cpp
)

add_library(plasma_containmentactions_lattecontextmenu MODULE ${contextmenu_SRCS})

kcoreaddons_desktop_to_json(plasma_containmentactions_lattecontextmenu plasma-containmentactions-lattecontextmenu.desktop)

target_link_libraries(plasma_containmentactions_lattecontextmenu
                        Qt5::DBus
                        Qt5::Widgets
                        KF5::I18n
                        KF5::XmlGui
                        KF5::Plasma)

install(TARGETS plasma_containmentactions_lattecontextmenu DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-containmentactions-lattecontextmenu.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== declarativeimports/core/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-latte-lib.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-latte-lib.h)

set(lattecoreplugin_SRCS
    lattecoreplugin.cpp
    dialog.cpp
    environment.cpp
    iconitem.cpp
    quickwindowsystem.cpp
    tools.cpp
    types.h
)

add_library(lattecoreplugin SHARED ${lattecoreplugin_SRCS})

target_link_libraries(lattecoreplugin
    Qt5::Quick
    Qt5::Qml
    KF5::CoreAddons
    KF5::Plasma
    KF5::PlasmaQuick
    KF5::QuickAddons
    KF5::IconThemes
)

if(HAVE_X11)
    target_link_libraries(lattecoreplugin KF5::WindowSystem)
endif()

install(TARGETS lattecoreplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte/core)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte/core)

=== app/packageplugins/indicator/CMakeLists.txt ===
set(indicator_SRCS
    indicatorpackage.cpp
)

add_library(latte_packagestructure_indicator MODULE ${indicator_SRCS})

target_link_libraries(latte_packagestructure_indicator
   KF5::Declarative
   KF5::I18n
   KF5::Package
)

kcoreaddons_desktop_to_json(latte_packagestructure_indicator latte-packagestructure-indicator.desktop)

install(TARGETS latte_packagestructure_indicator DESTINATION ${KDE_INSTALL_PLUGINDIR}/kpackage/packagestructure)
install(FILES latte-indicator.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

=== debian/changelog ===
latte-dock (0.10.9-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Dec 2022 14:35:54 -0800

latte-dock (0.10.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.1, no changes needed.
  * Update the GPG signing key.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Fri, 02 Dec 2022 22:09:16 +0100

latte-dock (0.10.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Jan 2022 07:39:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: latte-dock
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.1~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.38.0~),
@@ -37,8 +37,8 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
-Standards-Version: 4.6.0
+               qtdeclarative5-dev (>= 5.9.0~)
+Standards-Version: 4.6.1
 Homepage: https://userbase.kde.org/LatteDock
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git
@@ -55,7 +55,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Dock based on plasma frameworks
  Latte is a dock based on plasma frameworks that provides an elegant and
  intuitive experience for your tasks and plasmoids. It animates it's

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
